## ngcp-mediator 13.5.1.1+0~mr13.5.1.1

=== Makefile ===
BIN=ngcp-mediator

VERSION := $(shell sed -n -e '1s/^.*(\(.*\)).*$$/\1/p' debian/changelog)

CC := gcc

CPPFLAGS += -DMEDIATOR_VERSION="\"$(VERSION)\""

GLIB_CFLAGS := $(shell pkg-config glib-2.0 --cflags)

# mariadb/mysql support
ifeq ($(shell pkg-config --exists libmariadb && echo yes),yes)
MYSQL_CFLAGS := $(shell pkg-config --cflags libmariadb) -DMARIADB=1
MYSQL_LDFLAGS := $(shell pkg-config --libs libmariadb)
else ifneq ($(shell which mariadb_config),)
MYSQL_CFLAGS := $(shell mariadb_config --cflags) -DMARIADB=1
MYSQL_LDFLAGS := $(shell mariadb_config --libs)
else ifneq ($(shell which mysql_config),)
MYSQL_CFLAGS := $(shell mysql_config --cflags)
MYSQL_LDFLAGS := $(shell mysql_config --libs)
else
MYSQL_CFLAGS := -I/usr/include/mysql
MYSQL_LDFLAGS := -lmysqlclient
endif

CFLAGS ?= -g -Wall -Wextra -Wstrict-prototypes -O2
CFLAGS += -D_GNU_SOURCE
CFLAGS += $(GLIB_CFLAGS)
CFLAGS += $(MYSQL_CFLAGS)
#CFLAGS += -DWITH_TIME_CALC
CFLAGS += $(shell pkg-config json-c --cflags)
CFLAGS += $(shell pkg-config hiredis --cflags)
CFLAGS += $(shell pkg-config libsystemd --cflags)

GLIB_LDFLAGS := $(shell pkg-config glib-2.0 --libs)
LDFLAGS += $(GLIB_LDFLAGS)
LDFLAGS += $(MYSQL_LDFLAGS)
LDFLAGS += $(shell pkg-config json-c --libs)
LDFLAGS += $(shell pkg-config hiredis --libs)
LDFLAGS += $(shell pkg-config libsystemd --libs)

CFILES := $(wildcard *.c)
OFILES := $(CFILES:.c=.o)

.PHONY: $(BIN) all clean

all: $(BIN)

$(BIN): $(OFILES)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *.o
	rm -f core*
	rm -f $(BIN)

=== debian/changelog ===
ngcp-mediator (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:53:47 +0200

ngcp-mediator (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:11 +0200

ngcp-mediator (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Rene Krenn ]
  * [eafa2e6] MT#62618 fix repl to work with ON DUPLICATE KEY

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:43:17 +0200

ngcp-mediator (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:27:25 +0200

ngcp-mediator (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [f54c934] MT#61751 Install systemd service file in /usr

  [ Richard Fuchs ]
  * [707a179] MT#61757 add field lengths to field definitions
  * [77f1cd6] MT#61757 add field length verification
  * [ed0e5bf] MT#61757 support writing error CDRs to file
  * [74f3ce2] MT#61757 fix possible resource leak
  * [c9201d3] MT#61757 fix logic booboo/typo

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:14:29 +0100

ngcp-mediator (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:26:27 +0100

ngcp-mediator (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [b7b9b49] MT#60916 lintian: ignore service-file-is-not-a-file for mediator.service

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:59:30 +0200

ngcp-mediator (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [42dee46] MT#59993 Remove old backward compatibility from mr8.x to mr9.x
  * [b2212ef] MT#59993 New field header_ppi (P-Preferred-Identity header)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:02:22 +0200

ngcp-mediator (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:31:11 +0200

ngcp-mediator (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:47:56 +0100

ngcp-mediator (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [e155cea] MT#59064 introduce g_autoptr(char) type
  * [b34401e] MT#59064 switch query string to g_autoptr type

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:46:52 +0100

ngcp-mediator (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:36:29 +0100

ngcp-mediator (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [cc5a093] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:23:29 +0200

ngcp-mediator (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [6f156a0] MT#57281 New acc field "acc_dont_clean_suffix"

  [ Guillem Jover ]
  * [5f6139a] MT#57790 Switch medredis_command() to use redisvCommand()
  * [7b310f2] MT#57281 Mark medredis_command() with printf attribute

  [ Richard Fuchs ]
  * [0cf1534] MT#57281 debug printing into medredis_check_reply

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:04:03 +0200

ngcp-mediator (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [d75c9c6] MT#57110 New field r_user
  * [9e13374] MT#57110 New field r_ua (responder_user_agent)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:10:17 +0200

ngcp-mediator (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [776c5b7] MT#55628 fix possible segfault

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:03:39 +0100

ngcp-mediator (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [f345a86] MT#55628 move `q` into medmysql_str
  * [8a32267] MT#55628 track individual CDRs
  * [84f44fa] MT#55628 retry CDR insert one by one after failure
  * [8388782] MT#55628 fix Coverity RESOURCE_LEAK warning

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:42:42 +0100

ngcp-mediator (11.2.0.0+0~mr11.2.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [466da5a] MT#33002 new field hg_ext_response

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:50:31 +0200

ngcp-mediator (11.1.0.0+0~mr11.1.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [c56b5f7] TT#182200 skip intermediate cdr records without valid src dst

  [ Richard Fuchs ]
  * [4b99ab1] TT#182200 fix CDR index bookkeeping
  * [95243fe] TT#182200 fix mem leak
  * [2437a6f] TT#182200 extra debugging output
  * [66d9ccc] TT#182200 abstract Redis trash/backup table definitions
  * [04a534b] TT#182200 delay Redis entry deletion until after MySQL transaction
  * [af70e4f] TT#182200 use single-pass JSON parsing

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:01:11 +0200

ngcp-mediator (11.0.0.0+0~mr11.0.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [558248a] TT#170203 remove obsolete type
  * [ca8cb25] TT#170203 use linked list to manage call IDs
  * [8537ef8] TT#170203 use linked list to manage acc records
  * [043fd78] TT#170203 use dynamic string as SQL buffer
  * [cc4445e] TT#170203 allocate some strings in med_entry_t
  * [a1fbecc] TT#170203 use `static` for some file-scope functions
  * [c9462f2] TT#170203 store parsed JSON object in med_entry_t
  * [d86e326] TT#170203 parse JSON objects in med_entry_t early
  * [ba137dc] TT#170203 determine SIP method code early
  * [359d7ac] TT#170203 use specific method when deleting key
  * [f5a7735] TT#170203 add support for REFER
  * [59d36da] TT#170203 modernise medredis_fetch_records() a bit


=== debian/control ===
Source: ngcp-mediator
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 libglib2.0-dev,
 libhiredis-dev,
 libjson-c-dev,
 libsystemd-dev,
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: ngcp-mediator
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: CDR creation tool for NGCP
 This tool generates CDR entries from accounting information in a NGCP system.

## ngcp-mediator 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-mediator (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:32:07 +0100

ngcp-mediator (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:55:45 +0100

ngcp-mediator (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:12 +0200
